Subject: Re: [BUG] git gui blame fails for multi-word textconv filter

From: Matthieu Moy <[email-masked]>
Date: Thu, 05 Aug 2010 11:59:50 +0200

Clément Poulain <[email-masked]> writes:

> I wonder if spaces can be the reason of this. Looks like Tcl is
> looking for an executable called "run-mailcap --action=cat", and
> doesn't distinguish path from options.

Yes, and it does this because we asked it to do so. Whitespace
interpretation is done by the shell, and there's no shell involved
here.

> I do not have much experience with Tcl, so I can't figure out how to
> solve that. Some help would be appreciate :-)

Patch follows. It just runs the textconv using a shell, which does
whitespace interpretation (and more if needed). Tested with

textconv=odt2txt --width=40

and a file containing whitespaces.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/